### Enumeration

# FwupdPlugin EfiHardDriveDevicePathSubtype

#### Declaration

    enum FwupdPlugin.EfiHardDriveDevicePathSubtype

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_HARD_DRIVE` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_CDROM` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_VENDOR` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_FILE_PATH` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_MEDIA_PROTOCOL` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_PIWG_FIRMWARE_FILE` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_PIWG_FIRMWARE_VOLUME` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_RELATIVE_OFFSET_RANGE` | No description available.
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_RAM_DISK_DEVICE_PATH` | No description available.